import { Shape } from '@archilogic/floor-plan-core';
export declare function getOpacity(value: number, valueRangeMin: number, valueRangeMax: number, opacityMin: number, opacityMax?: number): number;
export declare function formatText(value: string | number | boolean, format: string | undefined): string;
export declare function getHighlightMap(attributeIds: string[]): Record<string, {
    fill: number[];
    fillOpacity: number;
}>;
export declare function getShapes(attributeIds: string[]): Shape[];
export declare function updateVisualization(attributeIds: string[], hideDefaultRoomstamps: boolean): void;
